#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-BFER3fG9E9eIRWOI3V9Pqq
key:                  tree-diff-0.1-BFER3fG9E9eIRWOI3V9Pqq
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  8eda4510a862786eeb51e818a360c85d
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.1/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-BFER3fG9E9eIRWOI3V9Pqq
depends:
    QuickCheck-2.14.1-6TwSok6paVa4gDA4vuZHJk
    aeson-1.5.3.0-H68BNYb6vqwI1kfuLd1su9
    ansi-terminal-0.10.3-CyIuKweZAxp7pajObT6q5u
    ansi-wl-pprint-0.6.9-Fe5XpjSioJbLALCpTbwx36 base-4.14.0.0
    base-compat-0.11.1-KZnxD44j0rC2RthL96Vmwl bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-DiGbvYLsPmxJgdfVCor8qD
    parsec-3.1.14.0 parsers-0.12.10-HyyIeyMAGjYFCBNs4XCakC
    pretty-1.1.3.6 scientific-0.3.6.2-3YISAuwzVJzEZQkyGUxPkT
    tagged-0.8.6-6GC8EUw1ctH7ZAzzvpqZ7j text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-7yiTvjz2UcTGgWhTtgXiX9
    uuid-types-1.0.3-18RmXTFxENNLPnnbtBgBa4
    vector-0.12.1.2-8A0MDgLPPVcWTXsA8tpNg

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

